< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package play
  Definition Classes
    hmrc
-  package http
  Definition Classes
    play
-  package ws
  Definition Classes
    http
- WSDelete
- WSGet
- WSHttp
- WSHttpResponse
- WSPatch
- WSPost
- WSProxy
- WSProxyConfiguration
- WSPut
- WSRequest

t

uk.gov.hmrc.play.http.ws

# WSGet 

###

#### trait WSGet extends WSRequest with CoreGet with GetHttpTransport

Linear Supertypes
GetHttpTransport, CoreGet, WSRequest, Request, AnyRef, Any
Known Subclasses
WSHttp
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. WSGet
2. GetHttpTransport
3. CoreGet
4. WSRequest
5. Request
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1.  abstract def GET[A](url: String, queryParams: Seq[(String, String)], headers: Seq[(String, String)])(implicit rds: HttpReads[A], hc: HeaderCarrier, ec: ExecutionContext): Future[A]
   Definition Classes
     CoreGet
2.  abstract def applicableHeaders(url: String)(implicit hc: HeaderCarrier): Seq[(String, String)]
   Definition Classes
     Request
3.  abstract def wsClient: WSClient
   Definition Classes
     WSRequest

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def GET[A](url: String, queryParams: Seq[(String, String)])(implicit rds: HttpReads[A], hc: HeaderCarrier, ec: ExecutionContext): Future[A]
   Definition Classes
     CoreGet
5.  def GET[A](url: String)(implicit rds: HttpReads[A], hc: HeaderCarrier, ec: ExecutionContext): Future[A]
   Definition Classes
     CoreGet
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def buildRequest[A](url: String)(implicit hc: HeaderCarrier): play.api.libs.ws.WSRequest
   Definition Classes
     WSRequest
8.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @native() @throws( ... )
9.  def doGet(url: String, queryParams: Seq[(String, String)], headers: Seq[(String, String)] = Seq.empty[(String, String)])(implicit hc: HeaderCarrier): Future[HttpResponse]
   Definition Classes
     WSGet → GetHttpTransport
10.  def doGet(url: String, queryParams: Seq[(String, String)])(implicit hc: HeaderCarrier): Future[HttpResponse]
    Definition Classes
      WSGet → GetHttpTransport
11.  def doGet(url: String)(implicit hc: HeaderCarrier): Future[HttpResponse]
    Definition Classes
      WSGet → GetHttpTransport
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
15.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
18.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
22.  def toString(): String
    Definition Classes
      AnyRef → Any
23.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
24.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
25.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )

### Inherited from GetHttpTransport

### Inherited from CoreGet

### Inherited from WSRequest

### Inherited from Request

### Inherited from AnyRef

### Inherited from Any

### Ungrouped